﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;

namespace NLogStudy.WebCore2.Study.Controllers
{
    [Route("api/[controller]")]
    [ApiController]
    public class ValuesController : ControllerBase
    {
        private readonly NLog.ILogger logger;
        public ValuesController(INLogWrap<ValuesController> logWrap)
        {
            this.logger = logWrap.logger;
        }
        // GET api/values
        [HttpGet]
        public ActionResult<IEnumerable<string>> Get()
        {
            var user = new WebUser() { Id=1,Name="王高峰",Role="Admin", Project="sywh"};
            logger.Error("错误日志 {@WebUser}", user);
            return new string[] { "value1", "value2" };
        }

        // GET api/values/5
        [HttpGet("{id}")]
        public ActionResult<string> Get(int id)
        {
            return "value";
        }

        // POST api/values
        [HttpPost]
        public void Post([FromBody] string value)
        {
        }

        // PUT api/values/5
        [HttpPut("{id}")]
        public void Put(int id, [FromBody] string value)
        {
        }

        // DELETE api/values/5
        [HttpDelete("{id}")]
        public void Delete(int id)
        {
        }
    }

    public class WebUser
    { 
        public int Id { get; set; }
        public string Name { get; set; }

        public string Role { get; set; }

        public string Project { get; set; }
    }
}
