﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using NLog;
using NLog.Fluent;

namespace NLogStudy.WebCore2.Study
{
    public class NLogWrap<T> : INLogWrap<T>
    {
        public NLogWrap()
        {
            logger = NLog.LogManager.GetLogger(typeof(T).FullName);
        }

        public ILogger logger { get; set; }

        public void Error()
        {
            logger.Error().Message("TESTSA");
        }
    }
}
